DROP VIEW IF EXISTS tag_reach;
DROP TABLE IF EXISTS tag_reach;
# ---
CREATE TABLE tag_reach AS
SELECT
       t.id as tag_id,
       t.name as name,
       YEAR(a.date_of_publication) as year,
       MONTH(a.date_of_publication) as month,
       COUNT(a.name) as 'article_count',
       SUM(a.reach) as 'reach'
FROM article a JOIN articleTag aT2 on a.id = aT2.article_id JOIN tag t on t.id = aT2.tag_id
WHERE a.wrongly_parsed = 0
GROUP BY YEAR (a.date_of_publication), MONTH (a.date_of_publication), t.name;
ALTER TABLE tag_reach ADD COLUMN id int AUTO_INCREMENT PRIMARY KEY;
# ---
DROP VIEW IF EXISTS tag_article;
DROP TABLE IF EXISTS tag_article;
# ---
CREATE TABLE tag_article AS
SELECT
       a.id as article_id,
       t.id as tag_id,
       t.name as name,
       a.name as article_name,
       m.name as medium_name,
       a.date_of_publication as date_of_publication,
       a.reach as reach
FROM article a,tag t,articleTag artTag,medium m
WHERE a.wrongly_parsed = 0 AND a.id = artTag.article_id AND t.id = artTag.tag_id AND m.id = a.medium_id;
ALTER TABLE tag_article ADD COLUMN id int AUTO_INCREMENT PRIMARY KEY;
# ---
DROP VIEW IF EXISTS top_media;
DROP TABLE IF EXISTS top_media;
# ---
CREATE TABLE top_media AS
SELECT
       m.name as name,
       COUNT(a.id) as count
FROM medium as m, article as a
WHERE a.wrongly_parsed = 0 AND a.medium_id = m.id
GROUP BY m.name
ORDER BY count DESC;
ALTER TABLE top_media ADD COLUMN id int AUTO_INCREMENT PRIMARY KEY;
# ---
DROP VIEW IF EXISTS top_tags;
DROP TABLE IF EXISTS top_tags;
# ---
CREATE TABLE top_tags AS
SELECT
       t.name as name,
       COUNT(a.id) as count
FROM article as a
JOIN articleTag aT2 on a.id = aT2.article_id
JOIN tag t on t.id = aT2.tag_id
WHERE a.wrongly_parsed = 0
GROUP BY t.name
ORDER BY count DESC;
ALTER TABLE top_tags ADD COLUMN id int AUTO_INCREMENT PRIMARY KEY;