""" Models for Training"""

from django.db import models
from cropping.models import Article


# Create your models here.

class Tag(models.Model):
    """ Categories for articles """
    id = models.AutoField(primary_key=True)
    name = models.CharField(max_length=255)


class TrainSession(models.Model):
    """ Model to monitor training events """
    id = models.AutoField(primary_key=True)
    date_of_train = models.DateTimeField('date training')
    articles = models.ManyToManyField(Article)
    # one-to-many relation: siehe cropping crop_session


class TrainedModels(models.Model):
    """ Model to monitor training events """
    id = models.AutoField(primary_key=True)
    articles = models.ManyToManyField(Article)
    pred_label = models.CharField(max_length=255, default='')
    train_session = models.DateTimeField('date training')


class PredSession(models.Model):
    """ Model to monitor training events """
    id = models.AutoField(primary_key=True)
    date_of_pred = models.DateTimeField('date prediction')
    # one-to-many relation: siehe cropping crop_session


class ArticlePred(models.Model):
    """ Articles used for training from UP news site"""
    id = models.AutoField(primary_key=True)
    tags = models.ManyToManyField(Tag)
    session = models.ForeignKey(PredSession, on_delete=models.CASCADE)
    # wahrscheinlichkeit, dass Article zu dem Tag gehört
